using Pilz.SymbolPacks.Color;
using System.Reflection;

namespace Pilz.UI.Telerik.Symbols.Factories;

internal class ColorFactory : RadSymbolFactory<SymbolsColor>
{
    public override Assembly GetImageResourceAssembly()
    {
        return typeof(SymbolsColor).Assembly;
    }

    public override string GetImageRessourcePath(SymbolsColor svgImage)
    {
        return $"{typeof(SymbolsColor).Namespace}.Files.{svgImage}.svg";
    }
}
